org.jbpm.ruleflow.core

## Class RuleFlowNodeContainerFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<T,P>
  - - org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory<T,P>

- All Implemented Interfaces:
    org.kie.api.fluent.NodeBuilder<T,P>, org.kie.api.fluent.NodeContainerBuilder<T,P>
  Direct Known Subclasses:
    CompositeNodeFactory, DynamicNodeFactory, ForEachNodeFactory, RuleFlowProcessFactory

      public abstract class RuleFlowNodeContainerFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>
      extends NodeFactory<T,P>
      implements org.kie.api.fluent.NodeContainerBuilder<T,P>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RuleFlowNodeContainerFactory(P nodeContainerFactory, NodeContainer nodeContainer, NodeContainer node, Object id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionNodeFactory<T>` | `actionNode(long id)`
    `BoundaryEventNodeFactory<T>` | `boundaryEventNode(long id)`
    `CompositeNodeFactory<T>` | `compositeNode(long id)`
    `T` | `connection(long fromId, long toId)`
    `DynamicNodeFactory<T>` | `dynamicNode(long id)`
    `EndNodeFactory<T>` | `endNode(long id)`
    `EventNodeFactory<T>` | `eventNode(long id)`
    `T` | `exceptionHandler(Class<? extends Throwable> exceptionClass, org.kie.api.fluent.Dialect dialect, String code)`
    `RuleFlowNodeContainerFactory<T,P>` | `exceptionHandler(String exception, ExceptionHandler exceptionHandler)`
    `RuleFlowNodeContainerFactory<T,P>` | `exceptionHandler(String exception, String dialect, String action)`
    `FaultNodeFactory<T>` | `faultNode(long id)`
    `ForEachNodeFactory<T>` | `forEachNode(long id)`
    `HumanTaskNodeFactory<T>` | `humanTaskNode(long id)`
    `JoinFactory<T>` | `joinNode(long id)`
    `MilestoneNodeFactory<T>` | `milestoneNode(long id)`
    `RuleSetNodeFactory<T>` | `ruleSetNode(long id)`
    `SplitFactory<T>` | `splitNode(long id)`
    `StartNodeFactory<T>` | `startNode(long id)`
    `SubProcessNodeFactory<T>` | `subProcessNode(long id)`
    `TimerNodeFactory<T>` | `timerNode(long id)`
    `<V> T` | `variable(org.kie.api.fluent.Variable<V> variable)`
    `WorkItemNodeFactory<T>` | `workItemNode(long id)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### RuleFlowNodeContainerFactory

          protected RuleFlowNodeContainerFactory(P nodeContainerFactory,
                                                 NodeContainer nodeContainer,
                                                 NodeContainer node,
                                                 Object id)

  - ### Method Detail

    - #### startNode

          public StartNodeFactory<T> startNode(long id)

      Specified by:
        `startNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### endNode

          public EndNodeFactory<T> endNode(long id)

      Specified by:
        `endNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### actionNode

          public ActionNodeFactory<T> actionNode(long id)

      Specified by:
        `actionNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### milestoneNode

          public MilestoneNodeFactory<T> milestoneNode(long id)

      Specified by:
        `milestoneNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### timerNode

          public TimerNodeFactory<T> timerNode(long id)

      Specified by:
        `timerNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### humanTaskNode

          public HumanTaskNodeFactory<T> humanTaskNode(long id)

      Specified by:
        `humanTaskNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### subProcessNode

          public SubProcessNodeFactory<T> subProcessNode(long id)

      Specified by:
        `subProcessNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### splitNode

          public SplitFactory<T> splitNode(long id)

      Specified by:
        `splitNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### joinNode

          public JoinFactory<T> joinNode(long id)

      Specified by:
        `joinNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### ruleSetNode

          public RuleSetNodeFactory<T> ruleSetNode(long id)

      Specified by:
        `ruleSetNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### faultNode

          public FaultNodeFactory<T> faultNode(long id)

      Specified by:
        `faultNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### eventNode

          public EventNodeFactory<T> eventNode(long id)

      Specified by:
        `eventNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### boundaryEventNode

          public BoundaryEventNodeFactory<T> boundaryEventNode(long id)

      Specified by:
        `boundaryEventNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### compositeNode

          public CompositeNodeFactory<T> compositeNode(long id)

      Specified by:
        `compositeNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### forEachNode

          public ForEachNodeFactory<T> forEachNode(long id)

      Specified by:
        `forEachNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### dynamicNode

          public DynamicNodeFactory<T> dynamicNode(long id)

      Specified by:
        `dynamicNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### workItemNode

          public WorkItemNodeFactory<T> workItemNode(long id)

      Specified by:
        `workItemNode` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### connection

          public T connection(long fromId,
                              long toId)

      Specified by:
        `connection` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### exceptionHandler

          public T exceptionHandler(Class<? extends Throwable> exceptionClass,
                                    org.kie.api.fluent.Dialect dialect,
                                    String code)

      Specified by:
        `exceptionHandler` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

    - #### exceptionHandler

          public RuleFlowNodeContainerFactory<T,P> exceptionHandler(String exception,
                                                                    ExceptionHandler exceptionHandler)

    - #### exceptionHandler

          public RuleFlowNodeContainerFactory<T,P> exceptionHandler(String exception,
                                                                    String dialect,
                                                                    String action)

    - #### variable

          public <V> T variable(org.kie.api.fluent.Variable<V> variable)

      Specified by:
        `variable` in interface `org.kie.api.fluent.NodeContainerBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,P>,P extends org.kie.api.fluent.NodeContainerBuilder<P,?>>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.